    import IndexedShadow from 'f.lux/src/IndexedShadow.js'

public class | source

# IndexedShadow

#### Extends:

Shadow → IndexedShadow

#### Direct Subclass:

ArrayShadow

Default shadow api for the `IndexedProperty`. Exposes the non-mutating methods of the Array interface.

#### See:

- IndexedProperty

## Constructor Summary

Public Constructor
public | constructor(impl: *) |

## Member Summary

Public Members
public | [_cache]: {} |
public get | length: * |

## Method Summary

Public Methods
public | [Symbol.iterator](): * |
public | all(): * |
public | concat(values: ...*): * |
public | every(pred: *, context: *): boolean |
public | filter(callback: *, context: *): * |
public | find(pred: *, context: *): * |
public | findIndex(pred: *, context: *): * |
public | forEach(callback: *, context: *) |
public | groupBy(callback: *, context: *): * |
public | includes(searchElement: *, fromIndex: number): * |
public | indexOf(value: *, fromIndex: number): * |
public | join(separator: string): * |
public | lastIndexOf(value: *, fromIndex: *): * |
public | map(callback: *, context: *): * |
public | reduce(callback: *, acc: *, context: *): * |
public | some(pred: *, context: *): boolean |
public | sort(callback: *): * |
public | sortBy(iteratee: ...*): * |
public | values(): {"next": *} |
public | valuesArray(): * |

## Inherited Summary

From class Shadow
public | [_impl]: * |
public | $(): Access Gets the Access object for obtaining information about a property. |
public | $$(): Property Gets the Property managing this shadow state property. |
public | toJSON(): Object | Array Gets the actual state property being proxied by this shadow state property. |
public | toString(): * |

## Public Constructors

### public constructor(impl: *) source

#### Override:

Shadow#constructor

#### Params:

Name | Type | Attribute | Description
impl | * |  |

## Public Members

### public [_cache]: {} source

### public get length: * source

## Public Methods

### public [Symbol.iterator](): * source

#### Return:

*

### public all(): * source

#### Return:

*

### public concat(values: ...*): * source

#### Params:

Name | Type | Attribute | Description
values | ...* |  |

#### Return:

*

### public every(pred: *, context: *): boolean source

#### Params:

Name | Type | Attribute | Description
pred | * |  |
context | * |  |

#### Return:

boolean

### public filter(callback: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
callback | * |  |
context | * |  |

#### Return:

*

### public find(pred: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
pred | * |  |
context | * |  |

#### Return:

*

### public findIndex(pred: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
pred | * |  |
context | * |  |

#### Return:

*

### public forEach(callback: *, context: *) source

#### Params:

Name | Type | Attribute | Description
callback | * |  |
context | * |  |

### public groupBy(callback: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
callback | * |  |
context | * |  |

#### Return:

*

### public includes(searchElement: *, fromIndex: number): * source

#### Params:

Name | Type | Attribute | Description
searchElement | * |  |
fromIndex | number | optional default: 0 |

#### Return:

*

### public indexOf(value: *, fromIndex: number): * source

#### Params:

Name | Type | Attribute | Description
value | * |  |
fromIndex | number | optional default: 0 |

#### Return:

*

### public join(separator: string): * source

#### Params:

Name | Type | Attribute | Description
separator | string | optional default: , |

#### Return:

*

### public lastIndexOf(value: *, fromIndex: *): * source

#### Params:

Name | Type | Attribute | Description
value | * |  |
fromIndex | * | optional |

#### Return:

*

### public map(callback: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
callback | * |  |
context | * |  |

#### Return:

*

### public reduce(callback: *, acc: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
callback | * |  |
acc | * |  |
context | * |  |

#### Return:

*

### public some(pred: *, context: *): boolean source

#### Params:

Name | Type | Attribute | Description
pred | * |  |
context | * |  |

#### Return:

boolean

### public sort(callback: *): * source

#### Params:

Name | Type | Attribute | Description
callback | * |  |

#### Return:

*

### public sortBy(iteratee: ...*): * source

#### Params:

Name | Type | Attribute | Description
iteratee | ...* |  |

#### Return:

*

### public values(): {"next": *} source

#### Return:

{"next": *}

### public valuesArray(): * source

#### Return:

*